/* Header:      maths.h */
/* Description: This file defines all the exportable functions for maths.cpp and */
/*              also constants used by the maths rotuines. */

/* constants */

#define RADS_TO_DEGS 57.2957795131

/* functions */

extern float sind(float angle);
/*
extern float asind(float s);
*/
extern float cosd(float angle);
extern float acosd(float c);
extern float tand(float angle);
extern float atan2d(float c1, float c2);
extern float atand(float c);
extern world_vector world_vector_add(world_vector a, world_vector b);
extern world_vector world_vector_subtract(world_vector a, world_vector b);
extern world_vector world_vector_scale(world_vector a, float scale);
extern float world_vector_magnitude(world_vector a);
extern world_vector calculate_unit_vector(world_vector v1, float mag);
extern world_vector world_vector_cross(world_vector a, world_vector b);
extern float world_vector_dot(world_vector a, world_vector b);
extern world_vector calculate_panel_normal(world_vector v1, world_vector v2,
										   world_vector v3);
extern dir_cosine calculate_dir_cosines(orientation angle);
extern world_vector transform_world_to_view(world_vector world, dir_cosine dc);
extern world_vector transform_object_to_world(world_vector object, dir_cosine dc);
/*
extern float round_float(float num);
*/
extern world_vector orientation_to_unit_vector(orientation o);
extern orientation unit_vector_to_orientation(world_vector unit);
/*
extern orientation find_object_rotation(world_vector unit);
extern void align_sprite(world_vector dir, float height, float width, world_vector v[]);
extern void translate_sprite(world_vector pos, world_vector v[]);
extern float random();
*/
