/* File:		types.h */
/* Description:	The files contains all the constants and data */
/*				structures for the project */

/* structures */

typedef struct
{
	float x;
	float y;
	float z;
} world_vector;

typedef struct
{
	float s;
	float t;
} grid_vector;

typedef struct
{
	float pitch;	/* spin around x axis in degrees */
	float yaw;		/* spin around y axis in degrees */
	float roll;		/* spin around z axis in degrees */
} orientation;

typedef struct
{
	float l1;
	float l2;
	float l3;
	float m1;
	float m2;
	float m3;
	float n1;
	float n2;
	float n3;
} dir_cosine;

typedef struct
{
	float r;
	float g;
	float b;
} colour_rgb;

typedef struct
{
	unsigned char lod;
	unsigned short grid_step;
	unsigned short s_datum;
	unsigned short t_datum;
	unsigned short flags;		/* bit 15 = cell enabled; bit 11 = bottom left sub-cell active, */
								/* bit 10 = bottom right active, bit 9 = top right active, */
								/* bit 8 = top left active; bit 3 = bottom vertex active, */
								/* bit 2 = right vertex, bit 1 = top vertex, bit 0 = left vertex */
	unsigned char variance[4];
} terrain_cell;